PICTURE D(n)
   IF n=20 THEN        ! moderate this for the size of bitmap.
      PLOT POINTS: 0,0
   ELSE
      DRAW D(n+1) WITH ROTATE(alfa)*SCALE(r)
      DRAW D(n+1) WITH SHIFT(-1,0)*ROTATE(alfa)*SCALE(r)*SHIFT(1,0)
   END IF
END PICTURE
SET WINDOW -1/2,3/2,-1,1
DRAW axes
SET POINT STYLE 1
LET alfa=PI/4
LET r=1/SQR(2)
DRAW D(1)
END
